> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Next Suggested Questions

> Get next questions suggestions for the current message.



## OpenAPI

````yaml /en/api-reference/openapi_chat.json get /messages/{message_id}/suggested
openapi: 3.0.1
info:
  title: Chat App API
  description: >-
    Chat applications support session persistence, allowing previous chat
    history to be used as context for responses. This can be applicable for
    chatbot, customer service AI, etc.
  version: 1.0.0
servers:
  - url: '{api_base_url}'
    description: >-
      The base URL for the Chat App API. Replace {api_base_url} with the actual
      API base URL provided for your application.
    variables:
      api_base_url:
        default: https://api.dify.ai/v1
        description: Actual base URL of the API
security:
  - ApiKeyAuth: []
tags:
  - name: Chats
    description: Operations related to chat messages and interactions.
  - name: Files
    description: File upload and preview operations.
  - name: End Users
    description: Operations related to end user information.
  - name: Feedback
    description: User feedback operations.
  - name: Conversations
    description: Operations related to managing conversations.
  - name: TTS
    description: Text-to-Speech and Speech-to-Text operations.
  - name: Applications
    description: Operations to retrieve application settings and information.
  - name: Annotations
    description: Operations related to managing annotations for direct replies.
paths:
  /messages/{message_id}/suggested:
    get:
      tags:
        - Chats
      summary: Get Next Suggested Questions
      description: Get next questions suggestions for the current message.
      operationId: getSuggestedQuestions
      parameters:
        - name: message_id
          in: path
          required: true
          description: Message ID.
          schema:
            type: string
        - name: user
          in: query
          required: true
          description: User identifier.
          schema:
            type: string
      responses:
        '200':
          description: Successfully retrieved suggested questions.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuggestedQuestionsResponse'
              examples:
                suggestedQuestions:
                  summary: Response Example
                  value:
                    result: success
                    data:
                      - What colors does the iPhone 13 Pro Max come in?
                      - How does the battery compare to iPhone 12?
                      - What is the price range?
        '400':
          description: |-
            - `not_chat_app` : App mode does not match the API route.
            - `bad_request` : Suggested questions feature is disabled.
          content:
            application/json:
              examples:
                not_chat_app:
                  summary: not_chat_app
                  value:
                    status: 400
                    code: not_chat_app
                    message: Please check if your app mode matches the right API route.
                bad_request:
                  summary: bad_request
                  value:
                    status: 400
                    code: bad_request
                    message: Suggested Questions Is Disabled.
        '404':
          description: '`not_found` : Message does not exist.'
          content:
            application/json:
              examples:
                message_not_exists:
                  summary: not_found
                  value:
                    status: 404
                    code: not_found
                    message: Message Not Exists.
        '500':
          description: '`internal_server_error` : Internal server error.'
          content:
            application/json:
              examples:
                internal_server_error:
                  summary: internal_server_error
                  value:
                    status: 500
                    code: internal_server_error
                    message: Internal server error.
components:
  schemas:
    SuggestedQuestionsResponse:
      type: object
      properties:
        result:
          type: string
          description: Result status.
        data:
          type: array
          items:
            type: string
          description: List of suggested questions.
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API_KEY
      description: >-
        API Key authentication. For all API requests, include your API Key in
        the `Authorization` HTTP Header, prefixed with `Bearer `. Example:
        `Authorization: Bearer {API_KEY}`. **Strongly recommend storing your API
        Key on the server-side, not shared or stored on the client-side, to
        avoid possible API-Key leakage that can lead to serious consequences.**

````